# Arrays

## What is an Array?
- Object used to store a **list** of values
- All values in array are the **same type**
    -Eg. int, double, char, string, etc

- Used to store a large number of data
- Easy to **access** any element in the array

## How to Declare
- Declaring an array to up to 10 words
```java
String array[] = new String[10];
```
- Declaring an array and initializing variables at the same time:
```java
String array[] = {"s", "d", "f"};
```

## String Manipulataion

- ```length()` to find the length of a string
- `stringName.charAt(0)` will output the first character 
- Each character in a string has a positio. String positions start  at 0
- `stringName.indexOf("T")` will output the index number that the letter `T` belongs to
- `stringName.substring(3)` will output all characters after the index #
- Eg. `string stringName = "Jim hates math"`
    - Output: `hates math`

- First # is for the index that you want and last number is for the index that you don't wnat
- `stringName2 = "     i hate math         "`
- `stringName2.trim(); 
    - output: i hate math"`
- `stringName.toLowerCase()` makes every character a lower case letter
- `stringName.toUpperCase()` makes every character an upper case letter

- concat()
- `stringname1.concat(stringname2);` will put both string into 1 word
- `stringname.replce("a", "p");` will replace every `'a'` with `'p'`
- `stringname1.equals(stringname2);` will return true of false depending on whether the two contain the same value
- `stringname1.compareTo(stringname2);` is for alphabetical order
    - if the condition above is < 0, name1 is before name2. >0, name1 is before name2, if =0, its the same string
